#include <iostream>
#include <vector>

using namespace std;

int main(){

    int n, k, trenutna, trazena;
    vector <int> karte;
    cin>>n>>k;

    for(int i = 0; i<n; i++){
        cin>>trenutna;
        karte.push_back(trenutna);
    }

    for(int j = 1; j<=karte.size(); j++){
        if(karte[j]==k && j!=n)
            trazena = karte[j+1];
        else if(karte[j]==k)
            trazena = karte[0];
    }   

    cout<<trazena;
    return 0;
}